<?php

namespace Chemical\Newsletter\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsletterTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Newsletter\Models\Newsletter $newsletter)
    {
        return [
            'id'                => $newsletter->getRouteKey(),
            'key'               => [
                'public'    => $newsletter->getPublicKey(),
                'route'     => $newsletter->getRouteKey(),
            ], 
            'id'                => $newsletter->id,
            'user_id'           => $newsletter->user_id,
            'user_type'         => $newsletter->user_type,
            'slug'              => $newsletter->slug,
            'name'              => $newsletter->name,
            'description'       => $newsletter->description,
            'newsletter'        => $newsletter->newsletter,
            'created_at'        => $newsletter->created_at,
            'updated_at'        => $newsletter->updated_at,
            'deleted_at'        => $newsletter->deleted_at,
            'url'               => [
                'public'    => trans_url('newsletter/'.$newsletter->getPublicKey()),
                'user'      => guard_url('newsletter/newsletter/'.$newsletter->getRouteKey()),
            ], 
            'status'            => trans('app.'.$newsletter->status),
            'created_at'        => format_date($newsletter->created_at),
            'updated_at'        => format_date($newsletter->updated_at),
        ];
    }
}